umbrello: DCodeGenerationPolicy Class Reference

umbrello 25.04.1 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
DCodeGenerationPolicy Class Reference

`#include <dcodegenerationpolicy.h>`

Inheritance diagram for DCodeGenerationPolicy:

## Public Member Functions
| DCodeGenerationPolicy ()
virtual | ~DCodeGenerationPolicy ()
void | setAutoGenerateAttribAccessors (bool var)
bool | getAutoGenerateAttribAccessors ()
void | setAutoGenerateAssocAccessors (bool var)
bool | getAutoGenerateAssocAccessors ()
virtual void | setDefaults (CodeGenPolicyExt *defaults, bool emitUpdateSignal=true)
virtual void | setDefaults (bool emitUpdateSignal=true)
CodeGenerationPolicyPage * | createPage (QWidget *parent=nullptr, const char *name=nullptr)
Public Member Functions inherited from CodeGenPolicyExt
| CodeGenPolicyExt ()
virtual | ~CodeGenPolicyExt ()

## Protected Member Functions
void | init ()

## Private Attributes
CodeGenerationPolicy * | m_commonPolicy

## Constructor & Destructor Documentation

## ◆ DCodeGenerationPolicy()

DCodeGenerationPolicy::DCodeGenerationPolicy | ( |  | ) |

Constructor.

## ◆ ~DCodeGenerationPolicy()

DCodeGenerationPolicy::~DCodeGenerationPolicy | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ createPage()

CodeGenerationPolicyPage * DCodeGenerationPolicy::createPage | ( | QWidget * | parent = nullptr,
|  | const char * | name = nullptr )
| virtual

Create a new dialog interface for this object.

Parameters

  parent | the parent widget
  name | name of policy page

Returns
  dialog object

Implements CodeGenPolicyExt.

## ◆ getAutoGenerateAssocAccessors()

bool DCodeGenerationPolicy::getAutoGenerateAssocAccessors | ( |  | ) |

Get the value of m_autoGenerateAssocAccessors

Returns
  the value of m_autoGenerateAssocAccessors

## ◆ getAutoGenerateAttribAccessors()

bool DCodeGenerationPolicy::getAutoGenerateAttribAccessors | ( |  | ) |

Get the value of m_autoGenerateAttribAccessors

Returns
  the value of m_autoGenerateAttribAccessors

## ◆ init()

void DCodeGenerationPolicy::init | ( |  | ) |
| protected

Initialisation routine.

## ◆ setAutoGenerateAssocAccessors()

void DCodeGenerationPolicy::setAutoGenerateAssocAccessors | ( | bool | var | ) |

Set the value of m_autoGenerateAssocAccessors

Parameters

  var | the new value

## ◆ setAutoGenerateAttribAccessors()

void DCodeGenerationPolicy::setAutoGenerateAttribAccessors | ( | bool | var | ) |

Set the value of m_autoGenerateAttribAccessors

Parameters

  var | the new value

## ◆ setDefaults() [1/2]

void DCodeGenerationPolicy::setDefaults | ( | bool | emitUpdateSignal = true | ) |
| virtual

Set the defaults from a config file for this code generator from the passed KConfig pointer.

Parameters

  emitUpdateSignal | flag whether to emit the update signal

Implements CodeGenPolicyExt.

## ◆ setDefaults() [2/2]

void DCodeGenerationPolicy::setDefaults | ( | CodeGenPolicyExt * | clone,
|  | bool | emitUpdateSignal = true )
| virtual

Set the defaults for this code generator from the passed generator.

Parameters

  clone | the code gen policy ext object
  emitUpdateSignal | flag whether to emit the update signal

## Member Data Documentation

## ◆ m_commonPolicy

CodeGenerationPolicy* DCodeGenerationPolicy::m_commonPolicy
| private

The documentation for this class was generated from the following files:

- umbrello/codegenerators/d/dcodegenerationpolicy.h
- umbrello/codegenerators/d/dcodegenerationpolicy.cpp